<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

$img_width = 120;
$img_height = 70;
$img_quality = 100;

if (!function_exists("imagecopyresampled")) alert("GD 2.0.1 이상 버전이 설치되어 있어야 사용할 수 있는 갤러리 게시판 입니다.");

$data_path = $g4[path]."/data/file/$bo_table";
$thumb_path = $data_path.'/thumb';
$ym = date("ym", $g4[server_time]);

@mkdir($thumb_path, 0707);
@chmod($thumb_path, 0707);
?>

<style>
.Num_title { font-size:13px; }
.Num_content { height:35px; padding:5px 10px 0 0;font-size:11px; letter-spacing:-1px;line-height:15px; color:#999999; }
.Num_write { padding-top:5px;font-size:11px; color:#6F82CB; }
.Num_stitle { font-size:12px;color:#6F82CB; }
.Num_swrite {padding:3px 5px 0 0;text-align:right;font-size:11px; font-family:돋움;color:#87A3D6;}
</style>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
<? for ($i=0; $i<count($list); $i++) { ?>
<? if ($i==0) { ?>
  <tr>
    <td colspan="2">
 <?
 //썸네일 생성
$thumfile = "";
    $thumb = $thumb_path.'/'.$list[$i][wr_id];
    // 썸네일 이미지가 존재하지 않는다면
    if (!file_exists($thumb)) {
        $file = $list[$i][file][0][path] .'/'. $list[$i][file][0][file];
        // 업로드된 파일이 이미지라면
        if (preg_match("/\.(jp[e]?g|gif|png)$/i", $file) && file_exists($file)) {
            $size = getimagesize($file);
            if ($size[2] == 1)
                $src = imagecreatefromgif($file);
            else if ($size[2] == 2)
                $src = imagecreatefromjpeg($file);
            else if ($size[2] == 3) 
                $src = imagecreatefrompng($file); 
            else
                break;

            $rate = $img_width / $size[0];
            $height = (int)($size[1] * $rate);

            // 계산된 썸네일 이미지의 높이가 설정된 이미지의 높이보다 작다면
            if ($height < $img_height)
                // 계산된 이미지 높이로 복사본 이미지 생성
                $dst = imagecreatetruecolor($img_width, $height);
            else
                // 설정된 이미지 높이로 복사본 이미지 생성
                $dst = imagecreatetruecolor($img_width, $img_height);
            imagecopyresampled($dst, $src, 0, 0, 0, 0, $img_width, $height, $size[0], $size[1]);
            imagejpeg($dst, $thumb_path.'/'.$list[$i][wr_id], $img_quality);
            chmod($thumb_path.'/'.$list[$i][wr_id], 0606);
        } else { //게디터에서 삽입한 이미지 뽑자ㅠㅠ
			$edit_img = $list[$i]['wr_content'];
			if (eregi("data/cheditor[^<>]*\.(gif|jpg|png|bmp)", $edit_img, $tmp)) { // data/cheditor------
				$file = './' . $tmp[0]; // 파일명
				$size = getimagesize($file);
				if ($size[2] == 1)
					$src = imagecreatefromgif($file);
				else if ($size[2] == 2)
					$src = imagecreatefromjpeg($file);
				else if ($size[2] == 3) 
					$src = imagecreatefrompng($file); 
				else
					break;

				$rate = $img_width / $size[0];
				$height = (int)($size[1] * $rate);

				// 계산된 썸네일 이미지의 높이가 설정된 이미지의 높이보다 작다면
				if ($height < $img_height)
					// 계산된 이미지 높이로 복사본 이미지 생성
					$dst = imagecreatetruecolor($img_width, $height);
				else
					// 설정된 이미지 높이로 복사본 이미지 생성
					$dst = imagecreatetruecolor($img_width, $img_height);
				imagecopyresampled($dst, $src, 0, 0, 0, 0, $img_width, $height, $size[0], $size[1]);
				imagejpeg($dst, $thumb_path.'/'.$list[$i][wr_id], $img_quality);
				chmod($thumb_path.'/'.$list[$i][wr_id], 0606);
			}
	    }
	}
    if (file_exists($thumb))
        $thumfile = "<img src='$thumb' width='{$img_width}' height='{$img_height}' border='0' style='border:1px #e1e1e1 solid'>";
		else
		//이미지가 없으면
		$thumfile="<img src='$latest_skin_path/img/noimg.gif' width='{$img_width}' height='{$img_height}'  border='0' style='border:1px #e1e1e1 solid'>";
		//이미지가 아니네
        if(preg_match("/\.(swf|wma|asf)$/i","$file") && file_exists($file))
       { $thumfile = "<script>doc_write(flash_movie('$file', 'flash$i', '$img_width', '$img_height', 'transparent'));</script>"; }
?>
<table width="100%" cellpadding=0 cellspacing=0 border=0>

<tr>
<td valign="top">
<div class="Num_title"><a href='<?=$list[$i][href]?>'><b><?=$list[$i][subject]?></b></a></div>
<div class="Num_content"><?=cut_str(strip_tags($list[$i][wr_content]),130,"..")?></div>
<div class="Num_write">
<b><?=$list[$i][wr_name]?></b>&nbsp;<font color="#bbbbbb">I</font>&nbsp;<a href='<?=$g4[bbs_path]?>/board.php?bo_table=<?=$list[$i][bo_table]?>'><?=$list[$i][bo_subject]?></a>&nbsp;<font color="#bbbbbb">I</font>&nbsp;<?=$list[$i][datetime]?>
</div>
</td>

<td width="<?=$img_width?>" valign=top>
<a href='<?=$list[$i][href]?>'><?=$thumfile?></a>
</td></tr>
<tr><td colspan="2" height=12></td></tr>
<tr><td colspan="2" height=1 bgcolor='#C4CCEA'></td></tr>
<tr><td colspan="2" height=19></td></tr>
</table>
</td></tr>

<? }else{ ?>

<tr><td width="74%"><a href='<?=$g4[bbs_path]?>/board.php?bo_table=<?=$list[$i][bo_table]?>'><span class="Num_stitle">[<?=$list[$i][bo_subject]?>]</span></a>&nbsp;&nbsp;<a href='<?=$list[$i][href]?>'><?=$list[$i][subject]?></a>
</td>
<td width="26%" class="Num_swrite">
<?=$list[$i][wr_name]?>&nbsp;<font color="#cccccc">I</font>&nbsp;<?=$list[$i][datetime2]?>
</td>
</tr>
  <? } ?>
  <? } ?>
  <? if (count($list) == 0) { echo "<tr><td colspan=3 align=center height=100>자료가 없습니다.</td></tr>"; } ?>
</table>
<!-- 게시판 목록 끝 -->